import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

class Agreement extends BasicPage {
  @override
  Widget builder(BuildContext context) {
    naviTitle = '用户协议';
    return ListView(
      children: [
        Container(
          margin: EdgeInsets.symmetric(vertical: 25.h, horizontal: 15.w),
          child: Column(
            children: [
              Container(
                margin: EdgeInsets.only(bottom: 30.h),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Image.asset(
                      'images/machinery/mIcon.png',
                      width: 16.5.w,
                    ),
                    Container(
                      margin: EdgeInsets.symmetric(horizontal: 15.5.w),
                      child: Text(
                        '智慧农机的介绍',
                        style: TextStyle(
                            fontSize: 22.sp,
                            fontWeight: FontWeight.bold,
                            color: const Color(0xFF222222),
                            height: 1.1),
                      ),
                    ),
                    Image.asset(
                      'images/machinery/mIcon.png',
                      width: 16.5.w,
                    ),
                  ],
                ),
              ),
              Container(
                margin: EdgeInsets.only(top: 40.h),
                child: Column(
                  children: [
                    Text(
                      '本次更新：',
                      style: TextStyle(
                          fontSize: 16.sp,
                          fontWeight: FontWeight.bold,
                          color: const Color(0xff101010)),
                    ),
                    Text(
                      '--解决了一些已知问题--',
                      style: TextStyle(
                          fontSize: 16.sp,
                          fontWeight: FontWeight.bold,
                          color: const Color(0xff101010)),
                    ),
                  ],
                ),
              ),
              Container(
                margin: EdgeInsets.only(top: 40.h),
                child: Column(
                  children: [
                    Text(
                      '最近更新：',
                      style: TextStyle(
                          fontSize: 16.sp,
                          fontWeight: FontWeight.bold,
                          color: const Color(0xff101010)),
                    ),
                    Text(
                      '--这个页面回头加一个外链进来--',
                      style: TextStyle(
                          fontSize: 16.sp,
                          fontWeight: FontWeight.bold,
                          color: const Color(0xff101010)),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
